Subject: Get a Tasty Box of Healthy Snacks for $9/Mo

From: "Urthbox Inc" <[email-masked]>
Date: Mon, 10 Aug 2015 10:10:59 -0700

Get a Monthly Box of Healthy Snacks for just $9/Mo

http://www.pastilad.faith/l/lt8K85U32E/33OD83UW143JP14M2732088JJ1123602349

File: Sen. Ben Nelson talks to reporters in December 2009. (AP)Nebraska Democratic 
Sen. Ben Nelson, a pivotal figure in the health care debate, announced 
his retirement Tuesday in a letter to Nebraskans, saying, "Simply: it's time 
to move on.""It's time for me to step away from elective office, 
spend more time with my family and look for new ways to 
serve our state and nation. Therefore, I am announcing today that I 
will not seek reelection," he said.Nelson's departure is not considered a surprise 
despite efforts from his allies to encourage him to seek reelection, though 
Democrats were taken aback that he chose not to run again while 
holding $3 million in the bank ahead of expected GOP attacks.Sources say 
the senator has been frustrated for awhile with Washington. He was roundly 
scorned for his role in the health care debate by Democrats, who 
were furious with his opposition to the so-called public option and requests 
for exemption on abortion coverage.He was